## org.apache.cassandra.db
Class SystemTable

    java.lang.Object
      org.apache.cassandra.db.SystemTable

    public class SystemTable

extends java.lang.Object

Nested Class Summary
`static class` `SystemTable.StorageMetadata`

Field Summary
`static java.lang.String` `STATUS_CF`

Constructor Summary
`SystemTable()`

Method Summary
`static void` `checkHealth()` One of three things will happen if you try to read the system table: 1.
`static SystemTable.StorageMetadata` `initMetadata()`
`static boolean` `isBootstrapped()`
`static void` `setBootstrapped(boolean isBootstrapped)`
`static void` `updateToken(java.net.InetAddress ep, Token token)` Record token being used by another node
`static void` `updateToken(Token token)` This method is used to update the System Table with the new token for this node

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS_CF

    public static final java.lang.String STATUS_CF

See Also:
  Constant Field Values

Constructor Detail

### SystemTable

    public SystemTable()

Method Detail

### updateToken

    public static void updateToken(java.net.InetAddress ep,
                                   Token token)

  Record token being used by another node

### updateToken

    public static void updateToken(Token token)

  This method is used to update the System Table with the new token for this node

### checkHealth

    public static void checkHealth()
                            throws java.io.IOException

  One of three things will happen if you try to read the system table: 1. files are present and you can read them: great 2. no files are there: great (new node is assumed) 3. files are present but you can't read them: bad (suspect that the partitioner was changed).

  Throws:
    `java.io.IOException`

### initMetadata

    public static SystemTable.StorageMetadata initMetadata()
                                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### isBootstrapped

    public static boolean isBootstrapped()

### setBootstrapped

    public static void setBootstrapped(boolean isBootstrapped)

Copyright © 2010 The Apache Software Foundation